agency-board

POST /v1/agency/boards/{boardId}/cards/{cardId}/questions

Ask the client a question about this card.

جميع نقاط نهاية agency-board

المصادقة

أرسل مفتاح واجهة برمجة التطبيقات (API) كرمز حامل (bearer token). لا يحدد نقطة النهاية هذه إذنًا محددًا في المواصفات، لذا امنح مفتاحك الحد الأدنى الذي محتاجه وتحقق من الاستجابة بدلاً من الافتراض.

لا يقبل هذا الطرف أي معرف للمؤسسة. يحدد مفتاحك بالفعل المؤسسة التي ينتمي إليها، وتكون الاستجابة محصورة في نطاقها.

جربه الآن

استبدل أي شيء بين أقواس زاوية بقيمك الخاصة، والعنصر النائب للمفتاح بمفتاح من لوحة تحكمك.

curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/questions \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "body": <string> }'

هل سجلت الدخول؟ تقوم وحدة تحكم واجهة برمجة التطبيقات في لوحة التحكم الخاصة بك بربط معرف مؤسستك الحقيقي ومفتاحك الخاص، وتنفذ الطلب مقابل واجهة برمجة التطبيقات المباشرة لتتمكن من رؤية الاستجابة الفعلية. افتح هذه النهاية الطرفية في وحدة تحكم API

التفاصيل

⛔⛔ **Asking a question SHARES the card**, and its column, in the same transaction — explicitly, and written to the board's activity feed so the agency can see it happened. A question the client is expected to answer, on a card they cannot open, is a state no screen can render: the client would be emailed a link to nothing. Notifies the **client** organisation (`agency_board.question_asked`).

المعلمات

الاسمالنوعمطلوبما هو هذا
boardId (path)UuidنعمProject board ID (UUIDv7).
cardId (path)UuidنعمBoard card ID (UUIDv7).

جسم الطلب

الاسمالنوعمطلوبما هو هذا
bodystringنعم

الاستجابة

الاسمالنوعمطلوبما هو هذا
idUuidنعمUUIDv7 identifier — sortable by creation time (docs/02 §8).
card_idUuidنعمUUIDv7 identifier — sortable by creation time (docs/02 §8).
bodystringنعم
statusstring<open, answered, cancelled>نعم
answer_bodystringلا
answered_atstringلا
created_atstringنعم
asked_byAgencyBoardActorلا
answered_byAgencyBoardActorلا

الأخطاء التي يمكن أن تُرجعها نقطة النهاية هذه

401 · 403 · 404 · 422